using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Switcher : MonoBehaviour {
	
	public bool IsOn = false;

	// Use this for initialization
	void Start () {
		SetState(IsOn);
	}

	public virtual void SetState(bool NewOn) {
		IsOn = NewOn;
	}
}
